# createRequest - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.send.polls / createRequest

# createRequest

(common) `fun Poll.createRequest(chatId: ChatIdentifier, disableNotification: Boolean = false, replyToMessageId: MessageIdentifier? = null, replyMarkup: KeyboardMarkup? = null): SendPoll` (source)

Return
SendPoll in case when all is right. It can return SendRegularPoll for QuizPoll in case if QuizPoll.correctOptionId equal to null